MOUNT(8)

NAME
mount - mount filesystems

SYNOPSIS
mount [-afnpruv] [-t type] [-o options] [[dev] dir]

DESCRIPTION
This manual descripes the mount command extended with support for user mountable filesystems. If both dev and dir is given, then the device dev is mounted on the directory dir which is possibly created. If only dev is missing, then the device matching that directory is looked up in /etc/fstab or in /etc/ufstab depending on the -u option. If both dev and dir is omitted, and the -a option is given, then all filesystems mentioned in /etc/fstab or /etc/ufstab and matching the other given options are mounted. If no arguments are given to mount then -p is assumed.

  OPTIONS

-a  Mount all filesystems matching the other given options and described in /etc/fstab or /etc/ufstab depending on the presence of the -u option.

-f  Fake an entry in /etc/mtab without actually mounting anything.

-n  Do not write an entry in /etc/mtab for the mount. This option also causes the lockfile, /etc/mtab~, to be ignored, since no changes will be made to /etc/mtab anyway. This is particularly useful if you're trying to re-mount your root filesystem from read-only to read-write.

-p  Print the entry that would otherwise have been written to /etc/mtab on stdout.

-r  Mount the filesystem(s) read-only.

-u  Look in /etc/ufstab instead of /etc/fstab. If the actual caller of mount is not root, then -u is automatically assumed.

-v  Verbose.

-t type
    Mount the filesystem(s) of the given type. Currently (Linux V0.99.9) the following types are supported: minix, msdos, proc, ext2, nfs, isofs, xfs , depending on your kernel configuration. If no type is given, then the type specified in fstab/ufstab is assumed, and if no such entry exists, minix is assumed.

-o options
    Mount the filesystem(s) with the given options. The options is a comma separated list of keywords containing no white space. The following options are supported for all filesystem types: (though they may not be implemented)

    ro: read-only. rw: read-write. This is default. suid: Allow setuid bits on executables to take effect on the mounted volume. This is the default. nosuid: Ignore setuid bits on executables on the mounted volume. nodev: Disallow device files on the mounted volume. noexec: Disallow execution of binaries directly from the mounted volume. sync: Always keep the mounted volume sync'ed. remount: Apply the other specified options to an already-mounted filesystem. noauto: When -a is specified, causes mount to ignore the fstab entry. Has no effect on the command line or when -a isn't specified.

If -u is given, or the caller of mount does not have root-privileges, then the options: nosuid,noexec,nodev are default and mandatory! The -o option makes no difference for ordinary users. Also, defaults in the options field of the /etc/ufstab means nosuid,noexec,nodev,ro instead of suid,rw as it does in /etc/fstab.

FILES

/etc/fstab
    Holds a table of filesystems, where they should be mounted and with what options.

/etc/ufstab
    Like /etc/fstab, but is used when ordinary users call mount or when the -u option is given.

/etc/mtab
    Holds a table of currently mounted filesystems.

/etc/mtab~
    A lock file, the existence of this file prevents mount from changing anything, unless -n is specified.

AUTHOR
This version of mount for Linux is written by Peter Orbaek <poe@daimi.aau.dk> and is freely distributable under the GNU General Public License.

SEE ALSO
umount(8).